//
//    Copyright (c) 2011 Thomas J. Cashman and Kai Hormann
//                       Tom.Cashman@cantab.net / Kai.Hormann@usi.ch
//
//    This file is part of DefMeshRep.
//
//    DefMeshRep is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    DefMeshRep is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with DefMeshRep.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef DUPLICATEFRAMEDIALOG_H
#define DUPLICATEFRAMEDIALOG_H

#include "ui_duplicateframedialog.h"

class DuplicateFrameDialog : public QDialog, private Ui::DuplicateFrameDialog
{
    Q_OBJECT

public:
    DuplicateFrameDialog(int startFrom, int max, QWidget *parent = 0) :
        QDialog(parent)
    {
        setupUi(this);
        fromFrameSpinBox->setMaximum(max);
        toFrameSpinBox->setMaximum(max + 1);
        fromFrameSpinBox->setValue(startFrom);
    }

    int   fromFrame() const { return  fromFrameSpinBox->value(); }
    int     toFrame() const { return    toFrameSpinBox->value(); }
    int repetitions() const { return repetitionSpinBox->value(); }

private slots:
    void on_fromFrameSpinBox_valueChanged(int value)
    {
        toFrameSpinBox->setMinimum(value + 1);
    }
};

#endif // DUPLICATEFRAMEDIALOG_H
