//
//    Copyright (c) 2011 Thomas J. Cashman and Kai Hormann
//                       Tom.Cashman@cantab.net / Kai.Hormann@usi.ch
//
//    This file is part of DefMeshRep.
//
//    DefMeshRep is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    DefMeshRep is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with DefMeshRep.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef RESAMPLEDIALOG_H
#define RESAMPLEDIALOG_H

#include "ui_resampledialog.h"
#include <QGraphicsPathItem>
#include <QGraphicsScene>
#include "MonotoneInterpolator.h"
class CubicSplineRecon;
class QPainterPath;
class ResampleEllipse;

class ResampleDialog : public QDialog, private Ui::ResampleDialog
{
    Q_OBJECT

public:
    ResampleDialog(CubicSplineRecon &spline, QWidget *parent = 0, double currentFrame = -1);
    void updateInterpolantCurve();

protected:
    void resizeEvent(QResizeEvent *event);
    void showEvent(QShowEvent *event);

private slots:
    void commitToInterpolator();
    void on_distSelButton_clicked();

private:
    std::vector<ResampleEllipse *> points;
    CubicSplineRecon     &spline;
    MonotoneInterpolator &monotone;
    MonotoneInterpolator  tempMonotone;
    QGraphicsScene        graphicsScene;
    QGraphicsPathItem     interpolantCurve;

    static const double pointSize;

    // Due to QTBUG-17985, everything must be scaled by some large number
    static const double scaleRatio;
};

#endif // RESAMPLEDIALOG_H
